#ifndef __HEADER_FAST_FILEFIND_H_INCLUDED__
#define __HEADER_FAST_FILEFIND_H_INCLUDED__
/**
 in der Doku ist ein Fehler. Richtig muss der struct folgendermaen aussehen:
*/
struct filefind
{
	char                     filename[12]; // Null terminated filename
	char                     fileext[4];   // and extension
	unsigned short int  	  fileattr;     // MS-DOS file attributes
	short int                reserved;     // Reserved
	struct tag_filetimestamp
    {
		unsigned short int filedate;   // Date = ((year - 80) shl 9) or (month shl 5)) or day
		unsigned short int filetime;   // Time = (hour shl 11) or (min shl 5)) or (sec / 2)
	}filetimestamp;                     // Time & date last modified
	unsigned long   filesize; // File size
    char            private_field[180]; // Reserved, used internal
};
/*
Das "private" feld wird intern genutzt.
Der filefind struct sowie die return Werte ergeben sich aus unserem
Filesystem. Da diese funktion sowieso einen kleinen Portierungsaufwand mit
sich tragen sollte das Konvertieren des filefind structs in den ffblk struct
keine grossen Probleme bereiten. Eine anpassung innerhalb des BIOS Sources
wrde (mehr oder weniger unntig) Speicherplatz verbrauchen.
Das "case sensetive" Verhalten werden wir noch beseitigen, so dass der User
sich darum keine Gedanken mehr machen muss.
Die Wildcards sollten analog zur normalen FindFirst routine verwendbar sein.
*/

extern int fast_findfirst(const char *pathname, struct filefind *ff, int attrib);
extern int fast_findnext(struct filefind *ff);
extern int fast_finddone(struct filefind *ff);

#endif //__HEADER_FAST_FILEFIND_H_INCLUDED__
